const express = require("express");
const router = express.Router();
const LicenseController = require("./license.controller");
//const authMiddleware = require("../../middlewares/adminAuth"); // For admin protection

router.post("/check", LicenseController.checkLicense);
router.post("/renew", LicenseController.renewLicense);
router.post("/reset", LicenseController.resetLicense);

module.exports = router;